> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readyhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Placement

> Placement with packets and full requirement status.



## OpenAPI

````yaml GET /placement/{id}
openapi: 3.0.1
info:
  title: Ready Health API
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.readyhealth.com
security:
  - ApiKeyAuth: []
paths:
  /placement/{id}:
    get:
      summary: Get a placement
      description: Placement with packets and full requirement status.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Placement
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Placement'
components:
  schemas:
    Placement:
      type: object
      properties:
        id:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/PlacementStatus'
        job:
          type: object
          properties:
            id:
              type: string
              format: uuid
            title:
              type: string
              nullable: true
            vmsJobRefId:
              type: string
        candidate:
          type: object
          properties:
            id:
              type: string
              format: uuid
            externalId:
              type: string
        atsPlacementRefId:
          type: string
          nullable: true
        vmsPlacementRefId:
          type: string
          nullable: true
        packets:
          type: array
          items:
            $ref: '#/components/schemas/PacketRef'
        requirementCount:
          type: integer
        fulfilledCount:
          type: integer
        requirements:
          type: array
          items:
            $ref: '#/components/schemas/PlacementRequirement'
    PlacementStatus:
      type: string
      enum:
        - ACTIVE
        - COMPLETED
        - CANCELLED
    PacketRef:
      type: object
      properties:
        id:
          type: string
          format: uuid
        packetGroup:
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/PacketStatus'
    PlacementRequirement:
      type: object
      properties:
        id:
          type: string
          format: uuid
        vmsRequirementName:
          type: string
        packetGroup:
          type: string
          nullable: true
        fulfillmentType:
          $ref: '#/components/schemas/FulfillmentType'
        documentCategory:
          type: string
          nullable: true
        documentType:
          type: string
          nullable: true
        requirementKey:
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/RequirementStatus'
        isMapped:
          type: boolean
        sortOrder:
          type: integer
    PacketStatus:
      type: string
      enum:
        - INCOMPLETE
        - COMPLETE
        - COMPILING
        - COMPILED
        - UPLOADING
        - UPLOADED
        - FAILED
    FulfillmentType:
      type: string
      enum:
        - DOCUMENT
        - REGISTRY_SEARCH
        - STATEMENT
        - PASS_THROUGH
    RequirementStatus:
      type: string
      enum:
        - PENDING
        - AWAITING_CONFIG
        - IN_PROGRESS
        - FULFILLED
        - REJECTED
        - INVALIDATED
        - EXPIRED
        - SKIPPED
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````